Subject: Re: What's cooking in git.git (Oct 2009, #01; Wed, 07)

From: Jakub Narebski <[email-masked]>
Date: Thu, 08 Oct 2009 18:38:48 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> --------------------------------------------------
> [New Topics]

> * jn/gitweb-patch (2009-09-30) 1 commit
>  - gitweb: Do not show 'patch' link in 'commit' view for merges
> 
> jk: After some comments with Jakub, I think the code is right but he
> promised a re-roll with more in the commit message.

Not only better commit message, but a more complete patch as well.
 
> * mr/gitweb-snapshot (2009-09-26) 2 commits
>  - gitweb: append short hash ids to snapshot files
>  - gitweb: check given hash before trying to create snapshot
> 
> jk: He posted a v5 of his series. I didn't look at it closely, but Jakub
> ack'd it.

Actually I acked first patch in series (the "check hash" one), but the
second needs review, and I think corrections.  First there is matter
of tests and matter of not calling git_get_short_hash if it would not
be used (what was mentioned in my review).  But what is more important
that now that gitweb doesn't use full SHA-1 unconditionally, we have
to deal with stripping prefix from refs/tags/v1.6.3-rc3 and
refs/heads/master, and with hierarchical branch names such as
'mr/gitweb-snapshot'.  I'll post improved review soon.

In short: first patch is a go, second needs more work.

> * jc/pretty-lf (2009-10-04) 1 commit
>  - Pretty-format: %[+-]x to tweak inter-item newlines
> 
> I am not happy with this one yet.  I am contemplating to introduce a new
> syntax "%[magic(param)<anything>%]" to generalize expressions of this and
> line wrapping features in an extensible way.
> 
> * js/log-rewrap (2008-11-10) 3 commits
>  . Add "%w" to pretty formats, which rewraps the commit message
>  - Add strbuf_add_wrapped_text() to utf8.[ch]
>  - print_wrapped_text(): allow hard newlines
> 
> ... and the first two from this series will be useful to implement an
> example magic "wrap", e.g. "%{wrap(i,j,w)%s%+b%]".

So... it is magic %[...%] or %{...} or %{...%}?

BTW we can take rpm's queryformat as an example (or counterexample).
Also perhaps we can reuse minilanguage of git-for-each-ref format,
i.e. %(field:modifier).
  
> --------------------------------------------------
> [Cooking]

> * jn/gitweb-show-size (2009-09-07) 1 commit
>  - gitweb: Add 'show-sizes' feature to show blob sizes in tree view

What this one requires (beside better name for a feature)?

> * jn/gitweb-blame (2009-09-01) 5 commits
>  - gitweb: Minify gitweb.js if JSMIN is defined
>  - gitweb: Create links leading to 'blame_incremental' using JavaScript
>   (merged to 'next' on 2009-09-07 at 3622199)
>  + gitweb: Colorize 'blame_incremental' view during processing
>  + gitweb: Incremental blame (using JavaScript)
>  + gitweb: Add optional "time to generate page" info in footer
> 
> Ajax-y blame.

I reordered patches so JSMIN one is first (as it is less
controversial), but the 'create blame_incremental links' one needs
more work.

-- 
Jakub Narebski
Poland
ShadeHawk on #git